/*-----------------------------------------------------------------
  All code is provided for EDUCATIONAL purposes ONLY. There is no
  warranty and no support.

  Released under the MIT License  - see
  http://www.opensource.org/licenses/mit-license.php

  Outdoor Thermometer Copyright (c) 2015 by Jack Botner

  led.h
-----------------------------------------------------------------*/

#ifndef _LED_H_
#define _LED_H_ 1

#define LED_VALUE_BLANK     10
#define LED_VALUE_MINUS     11

// LED display port defines
#define SEG_A_PORT              PORTD
#define SEG_A_BIT               PD0
#define SEG_B_PORT              PORTD
#define SEG_B_BIT               PD1
#define SEG_C_PORT              PORTD
#define SEG_C_BIT               PD2
#define SEG_D_PORT              PORTD
#define SEG_D_BIT               PD3
#define SEG_E_PORT              PORTD
#define SEG_E_BIT               PD4
#define SEG_F_PORT              PORTD
#define SEG_F_BIT               PD5
#define SEG_G_PORT              PORTD
#define SEG_G_BIT               PD6
#define SEG_DP_PORT             PORTD
#define SEG_DP_BIT              PD7

// Functions

void ledOutputNumber( uint8_t ucNumber, uint8_t ucDigit );
void ledSelectDigit( uint8_t cDigit );

#endif
